API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/agents/alert-rules

POST/v1/agents/alert-rules

Create an agent alert rule

Request Body

NameTypBeschreibung
nameerforderlichstring
metricerforderlichstring
operatorerforderlichstring
thresholderforderlichnumber
severityerforderlichstring
cooldownMinutesinteger
notifyChannelsstring[]

Beispiel

curl -X POST https://api.codemeta-os.de/v1/agents/alert-rules \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "metric": "cpuPercent",
  "operator": "gt",
  "threshold": 0,
  "severity": "critical",
  "cooldownMinutes": 60,
  "notifyChannels": [
    "in_app"
  ]
}'
const result = await cm.agents.post({
  "name": "string",
  "metric": "cpuPercent",
  "operator": "gt",
  "threshold": 0,
  "severity": "critical",
  "cooldownMinutes": 60,
  "notifyChannels": [
    "in_app"
  ]
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche